=== kdelirc/CMakeLists.txt ===
#################################################
#
#  (C) 2012 Golubev Alexander
#  fatzer2 (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )
add_subdirectory( irkick )
add_subdirectory( kcmlirc )
add_subdirectory( kdelirc )
add_subdirectory( profiles )
add_subdirectory( remotes )
